SenseCrypt Docs
API ReferenceAdmin Oidc Apps

Get Oidc App Resource Servers

GET/v1/admin/oidc-apps/{client_id}/resource-servers

List the APIs this app may request an audience for. Soft-deleted resource servers are filtered out so a retired API never lingers here.

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

client_id*Client Id

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/admin/oidc-apps/string/resource-servers"
{  "resource_servers": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "audience": "string",      "enforce_rbac": true    }  ]}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string",      "input": null,      "ctx": {}    }  ]}